require 'json'

package = JSON.parse(File.read(File.join(__dir__, 'package.json')))

Pod::Spec.new do |s|
  s.name           = 'ReactNativeNotifications'
  s.version        = package['version']
  s.summary        = package['description']
  s.description    = package['description']
  s.license        = package['license']
  s.author         = package['author']
  s.homepage       = package['homepage']
  s.source         = { :git => 'https://github.com/wix/react-native-notifications', :tag => s.version }
  s.module_name  = 'RNNotifications'

  s.requires_arc   = true
  s.platform       = :ios, '8.0'

  s.preserve_paths = 'LICENSE', 'README.md', 'notification.ios.js', 'notification.android.js', 'index.android.js', 'index.ios.js'
  s.source_files   = 'lib/ios/*.{h,m}'
  s.exclude_files  = "lib/ios/RNNotificationsTests/**/*.*", "lib/ios/OCMock/**/*.*"

  s.dependency 'React'
end
